{% extends 'base.html.twig' %}

{% block title %}New Payments{% endblock %}

{% block body %}

        <div style="background-color: #f8f9fc; min-height: 100%">
            <div class="container-fluid px-5">
                <div class="row justify-content-center">

                    <div class="col-6 mb-5 mt-5">
                        <div class="row justify-content-center">
                            <div class="col-12">
                                <a class="mr-4" href="{{ path("app_home") }}"><i class="fas fa-chevron-circle-left fa-2x text-gray-300"></i></a>
                                <h1 class="font-weight-bold d-inline">Ajouter un paiement</h1>
                            </div>

                            {% for label, messages in app.flashes %}
                                {% for message in messages %}
                                    <div class="alert alert-{{ label }}">
                                        {{ message }}
                                    </div>
                                {% endfor %}
                            {% endfor %}

                            <div class="col-12 mt-5">
                                {{ form_start(addForm) }}
                                <div class="form-group w-75 m-auto pb-3">
                                    {{ form_widget(addForm.paymentInfo.title, {'attr': {'placeholder': 'Titre'}, 'value' : app.session.get('title')} ) }}
                                </div>
                                <div class="form-group w-75 m-auto pb-3">
                                    {{ form_widget(addForm.paymentInfo.amount, {'attr': {'placeholder': 'Valeur'}, 'value' : app.session.get('amount')} ) }}
                                </div>
                            </div>

                            <div class="col-12 text-left mt-4 mb-4">
                                <h4 class="ml-5 pl-4 d-inline">Personnes concernées</h4>
                            </div>

                            <div class="col-12 pl-5 mb-3">
                                <div class="form-group w-75 m-auto pb-3">
                                    <p class="ml-5 pl-4 d-inline">M'inclure dans le paiement ?</p>
                                    {{ form_widget(addForm.includeUserInPayment, {'attr': {'placeholder': 'IncludeUserInPayment', 'class': 'd-inline w-25 ml-2'}, 'value' : app.session.get('includeUserInPayment')} ) }}
                                </div>
                            </div>

                            <div class="col-12 pl-5 ml-5 mb-3">
                                <ul class="ml-5 list-inline">
                                    {{ form_widget(addForm.users, {'attr': {'placeholder': 'Users'}, 'value' : app.session.get('users')} ) }}

                                </ul>
                            </div>

                            <div class="col-12 text-right">
                                {{ form_widget(addForm.create, {'attr': { 'class': 'btn btn-lg d-inline btn-success btn-block text-right w-50 mt-4 mb-3'}}) }}
                            </div>

                        </div>
                        {{ form_end(addForm) }}
                    </div>

                </div>
            </div>
        </div>
        </div>

    {% endblock %}
